import request from '@/utils/request'



//查询继续教育列表
export function getJxjy(){
	return request({
		url:"/jxjy/Training/personTrainingList"
	})
}



//查询用户报名的继续教育课程列表
export function getClassList(data){
	return request({
		url:"/system/Class/curriculumList",
		params:data
	})
}


//保存用户观看记录
export function saveRecord(data){
	return request({
		url:"/system/ClassVideo/recordVideo",
		data:data,
		method:"post"
	})
}


//查询试卷详情
export function getSjContent(id,userScoreId){
	return request({
		url:"/system/PaperInfo/rencaiPaper?personId="+id+"&userScoreId="+userScoreId, 
	})
}


//提交考试结果
export function submitDaan(data){
	return request({
		url:"/system/PaperInfo/submitRencaiPaper",
		data:data,
		method:"post"
	})
}


//查询考试记录
export function getKsList(data){
	return request({
		url:"/system/PaperInfo/paperReancaiList",
		params:data
	})
}


//查询考过的试卷详情
export function getFinishSjInfo(id){
	return request({
		url:"/system/PaperInfo/rencaiPaperInfo?UserScoreID="+id
	})
}


//获取支付二维码
export function getImg(id){
	return request({
		url:"/pay/createOrder?personId="+id,
		method:"post"
	})
}


//查询订单状态
export function getStatus(id){
	return request({
		url:"/pay/getOrderStatus?personId="+id
	})
}


//监理人员申请退费
export function tuifeiShenqing(data){
	return request({
		url:"/jxjy/Tuifeisq/refundApply",
		data:data,
		method:"post"
	})
}


//监理人员撤销退费申请
export function chexiaoTuifei(data){
	return request({
		url:"/jxjy/Tuifeisq/revokeRefund",
		params:data
	})
}



//试卷自动保存接口
export function autoSave(data){
	return request({
		url:"/system/PaperInfo/preservationRencaiPaper",
		data:data,
		method:"post"
	})
}



//继续教育开始考试接口
export function startKaoshi(data){
	return request({
		url:"/system/PaperInfo/startRencaiPaper",
		data:data,
		method:"post"
	})
}

